#ifndef LABELSTATEMENT_HPP
#define LABELSTATEMENT_HPP

#include "../Statement.hpp"
#include "Expr.hpp"
#include "../SourceLocation.hpp"


class LabelStatement : public Statement
{

public:
    LabelStatement(SourceLocation ll, LabelDecl* decl);

    SourceLocation getLabelLocation() const;
    void setLabelLocation(SourceLocation);

private:
    SourceLocation _labelLoc;
    LabelDecl* _decl;
};

#endif