#ifndef BLANG_STRINGLITERALEXPR_H
#define BLANG_STRINGLITERALEXPR_H

#include "Expr.hpp"

class StringLiteralExpr: public Expr
{
public:
    StringLiteralExpr(std::string str, SourceLocation loc);

    unsigned int getLength () const;

    void setString(std::string str);
    std::string getString() const;

    SourceLocation getLocStart() const;
    SourceLocation getLocEnd() const;

private:
    std::string _str;
    SourceLocation _loc;
};


#endif //BLANG_STRINGLITERALEXPR_H
