#include "CompoundStatement.h"

unsigned int CompoundStatement::size() const
{
    return _body.size();
}

bool CompoundStatement::empty() const
{
    return _body.empty();
}

void CompoundStatement::setLastStatement(Statement *S)
{
    _body.push_back(S);
}

CompoundStatement::const_body_iterator CompoundStatement::body_begin() const
{
    return _body.begin();
}

CompoundStatement::body_iterator CompoundStatement::body_begin()
{
    return _body.begin();
}

CompoundStatement::const_body_iterator CompoundStatement::body_end() const
{
    return _body.end();
}

CompoundStatement::body_iterator CompoundStatement::body_end()
{
    return _body.end();
}

CompoundStatement::const_reverse_body_iterator CompoundStatement::body_rbegin() const
{
    return _body.rbegin();
}

CompoundStatement::reverse_body_iterator CompoundStatement::body_rbegin()
{
    return _body.rbegin();
}

CompoundStatement::const_reverse_body_iterator CompoundStatement::body_rend() const
{
    return _body.rend();
}

CompoundStatement::reverse_body_iterator CompoundStatement::body_rend()
{
    return _body.rend();
}