#ifndef TOKENLIST_HPP
#define TOKENLIST_HPP

#include <vector>

#include "Token.hpp"

namespace Blang{
  class TokenList
  {
  public:
    const Token& nextToken();
    const Token& nextToken(Token::TokenKind);

    const Token& operator[](int) const;

  private:
    std::vector<Token> _tokenList;
  };

}

#endif
