#ifndef TRANSLATIONUNIT_HPP
#define TRANSLATIONUNIT_HPP

#include <list>
#include <string>

#include "Statement.hpp"

class TranslationUnit{

public:

	void saveTranslationUnit();

	static void parseTranslationUnit(std::string, std::list<std::string> args = std::list<std::string>());
	static TranslationUnit* createTranslationUnit();

private:
	static Statement* _parseBlock(std::string);
	static Statement* _parseLine(std::string);

};

#endif